Gnome2::Entry(3)

NAME
Gnome2::Entry - wrapper for GnomeEntry

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Combo
                                     +----Gnome2::Entry

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable
  Gtk2::Editable

METHODS

  widget = Gnome2::Entry->new ($history_id=undef)

•   $history_id (string)

  $gentry->append_history ($save, $text)

•   $save (boolean)

•   $text (string)

  $gentry->clear_history

  widget = $gentry->gtk_entry

  string = $gentry->get_history_id

  $gentry->set_history_id ($history_id)

•   $history_id (string)

  integer = $gentry->get_max_saved

  $gentry->set_max_saved ($max_saved)

•   $max_saved (integer)

  $gentry->prepend_history ($save, $text)

•   $save (boolean)

•   $text (string)

PROPERTIES

'gtk-entry' (Gtk2::Entry : default undef : readable)
    The GTK entry

'history-id' (string : default undef : readable / writable)
    History ID

SIGNALS

activate (Gnome2::Entry)

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox, Gtk2::Combo

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.